float frame_speed_factor = 3;
float flying_transition_time = 0.7 * frame_speed_factor;
float ground_transition_time = 0.3 * frame_speed_factor;
float jump_height = -0.7*height;
class Movement{
  float start_x;
  float start_y;
  float end_x;
  float end_y;
  boolean is_flying;
  float transition;
  Movement(Pos start_, Pos end_, boolean is_flying_){
    start_x = start_.x;
    start_y = start_.y;
    end_x = end_.x;
    end_y = end_.y;
    is_flying = is_flying_;
    transition = 0;
  }
  
  void Transit(){
    if(is_flying)
      transition += 1/flying_transition_time/frameRate;
    else
      transition += 1/ground_transition_time/frameRate;
  }
  
  float Lerp(float a, float b, float t){
    return a*(1-t) + b*t;
  }
  
  float Hyperbola(float ay, float by, float h, float t){
    float linear_y = Lerp(ay,by,t);
    float add_y = 4 * (0.25 - (t-0.5)*(t-0.5)) * h;
    return linear_y + add_y;
  }
  
  float moving_x(){
    return Lerp(start_x, end_x, transition);
  }
  
  float moving_y(){
    if(is_flying) return Lerp(start_y, end_y, transition);
    return Hyperbola(start_y, end_y, jump_height, transition);
  }
}